// str1.cpp -- úvod do třídy string
#include <iostream>
#include <string>
// použití konstruktorů třídy string

int main()
{
	using namespace std;
	string one("Bolek zvitezil v loterii!"); 	// 1.konstruktor (ctor č.1)
	cout << one << endl; 										// přetížený operátor <<
	string two(20,'$'); 										// 2.konstruktor (ctor č.2)
	cout << two << endl;
	string three(one); 										// 3.konstruktor (ctor č.3)
	cout << three << endl;
	one += " Moment!" ; 										// přetížený operátor +=
	cout << one << endl;
	two = "Prominte! Melo to byt ";
	three[0] = 'L';
	string four; 													// 4.konstruktor (ctor č.4)
	four = two + three; 										// přetížený operátor =
	cout << four << endl;
	char alls[] = "Konec dobry, vsechno dobre";
	string five(alls,20); 									// 5.konstruktor (ctor č.5)
	cout << five <<"!\n";
	string six(alls+6, alls + 11); 					// 6.konstruktor (ctor č.6)
	cout << six << ", ";
	string seven(&five[6], &five[11]); 				// opět 6.konstruktor
	cout << seven << "...\n";
	
	return 0;
}
